Loading...
Searching...
No Matches
indices.hh File Reference
`#include <cstddef>`
`#include <stdexcept>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Indices
| Namespace with predefined compile time indices for the range [0,19].
namespace | Dune::Indices::Literals

## Typedefs

template<std::size_t i>
using | Dune::index_constant = std::integral_constant<std::size_t, i>
| An index constant with value i.

## Functions

template<class F, class I, I... i>
decltype(auto) constexpr | Dune::unpackIntegerSequence (F &&f, std::integer_sequence< I, i... > sequence)
| Unpack an std::integer_sequence<I,i...> to std::integral_constant<I,i>...
template<char... digits>
constexpr auto | Dune::Indices::Literals::operator""_ic ()
| Literal to create an index compile-time constant.
template<char... digits>
constexpr auto | Dune::Indices::Literals::operator""_uc ()
| Literal to create an unsigned integer compile-time constant.
template<char... digits>
constexpr auto | Dune::Indices::Literals::operator""_sc ()
| Literal to create a signed integer compile-time constant.
template<class T, T value>
constexpr auto | Dune::Indices::Literals::operator- (std::integral_constant< T, value >)
| Negation operator for integral constants.

## Variables

constexpr index_constant< 0 > | Dune::Indices::_0 = {}
| Compile time index with value 0.
constexpr index_constant< 1 > | Dune::Indices::_1 = {}
| Compile time index with value 1.
constexpr index_constant< 2 > | Dune::Indices::_2 = {}
| Compile time index with value 2.
constexpr index_constant< 3 > | Dune::Indices::_3 = {}
| Compile time index with value 3.
constexpr index_constant< 4 > | Dune::Indices::_4 = {}
| Compile time index with value 4.
constexpr index_constant< 5 > | Dune::Indices::_5 = {}
| Compile time index with value 5.
constexpr index_constant< 6 > | Dune::Indices::_6 = {}
| Compile time index with value 6.
constexpr index_constant< 7 > | Dune::Indices::_7 = {}
| Compile time index with value 7.
constexpr index_constant< 8 > | Dune::Indices::_8 = {}
| Compile time index with value 8.
constexpr index_constant< 9 > | Dune::Indices::_9 = {}
| Compile time index with value 9.
constexpr index_constant< 10 > | Dune::Indices::_10 = {}
| Compile time index with value 10.
constexpr index_constant< 11 > | Dune::Indices::_11 = {}
| Compile time index with value 11.
constexpr index_constant< 12 > | Dune::Indices::_12 = {}
| Compile time index with value 12.
constexpr index_constant< 13 > | Dune::Indices::_13 = {}
| Compile time index with value 13.
constexpr index_constant< 14 > | Dune::Indices::_14 = {}
| Compile time index with value 14.
constexpr index_constant< 15 > | Dune::Indices::_15 = {}
| Compile time index with value 15.
constexpr index_constant< 16 > | Dune::Indices::_16 = {}
| Compile time index with value 16.
constexpr index_constant< 17 > | Dune::Indices::_17 = {}
| Compile time index with value 17.
constexpr index_constant< 18 > | Dune::Indices::_18 = {}
| Compile time index with value 18.
constexpr index_constant< 19 > | Dune::Indices::_19 = {}
| Compile time index with value 19.